Package twisted :: Package news :: Module database :: Class NewsStorage |
[frames | no frames]

## Class NewsStorage

Backwards compatibility class -- There is no reason to inherit from this, just implement INewsStorage instead.

Method Summary
| `articleExistsRequest(self, id)`
| `articleRequest(self, group, index, id)`
| `bodyRequest(self, group, index)`
| `groupRequest(self, group)`
| `headRequest(self, group, index)`
| `listGroupRequest(self, group)`
| `listRequest(self)`
| `overviewRequest(self)`
| `postRequest(self, message)`
| `subscriptionRequest(self)`
| `xhdrRequest(self, group, low, high, header)`
| `xoverRequest(self, group, low, high)`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:51 2003 | http://epydoc.sf.net